%global momorel 4
%global mkfontdir /usr/bin/mkfontdir
%global chkfontpath %{_sbindir}/chkfontpath
%global mplus_medium_fontdir %{_datadir}/fonts/mplus_medium/

Summary:   M+ outline fonts
Name:      mplus_medium
Version:   0.14
Release: %{momorel}m%{?dist}
License:   Public Domain
Group:     User Interface/X
BuildArch: noarch
Source0: http://downloads.sourceforge.jp/mplus-fonts/6650/mplus-TESTFLIGHT-014.tar.gz 
NoSource: 0
URL:       http://mplus-fonts.sourceforge.jp/mplus-outline-fonts/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: fontforge
BuildPrereq: perl

%description
M+ outline fonts are free softwares.
Unlimited permission is granted to use, copy, and distribute it, with
or without modification, either commercially and noncommercially.
THESE FONTS ARE PROVIDED "AS IS" WITHOUT WARRANTY.

%prep
%setup -q -n mplus-TESTFLIGHT-014

%build
ttmkfdir
mkfontdir

%install
%{__rm} -rf --preserve-root %{buildroot}
%{__mkdir_p} -m0755 %{buildroot}%{mplus_medium_fontdir}
%{__install} -m0644 *.ttf %{buildroot}%{mplus_medium_fontdir}
%{__install} -m0644 fonts.* %{buildroot}%{mplus_medium_fontdir}

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post

%postun

%files
%defattr(-, root,root)
%doc README_* LICENSE_*
%dir %{mplus_medium_fontdir}
%{mplus_medium_fontdir}/*.ttf
%config(noreplace) %{mplus_medium_fontdir}/fonts.*

%changelog
* Sun Jul 20 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.14-4m)
- modify fontdir

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14-2m)
- %%NoSource -> NoSource

* Thu Mar 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14-1m)
- update TESTFLUGHT 014

* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.20040108-0.20040108.04m)
- revised fonts installdir

* Wed Jan 11 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.20040108-0.20040108.03m)
  fontforge instead of pfaedit.

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.20040108-0.20040108.02m)
  use relative path in symlink.
  unset LANG.

* Thu Jan 08 2004  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20040108-0.20040108.01m)
- cvs update at 2004-01-08.

* Fri Dec 26 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031226-0.20031226.01m)
- cvs update at 2003-12-26.

* Thu Dec 25 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031225-0.20031225.01m)
- cvs update at 2003-12-25.

* Tue Dec 23 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031223-0.20031223.01m)
- cvs update at 2003-12-23.

* Mon Dec 22 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031222-0.20031222.01m)
- cvs update at 2003-12-22.

* Sat Dec 20 2003  Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031220-0.20031220.01m)
- cvs update at 2003-12-20.

* Fri Dec 19 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031219-0.20031219.01m)
- update to cvs date 2003-12-19 version.

* Thu Dec 18 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20031218-0.20031218.01m)
- Initial specfile
- source is cvs version.




